<?php

namespace App\Http\Requests;

use App\Models\InventoryTransferDocument;
use Illuminate\Foundation\Http\FormRequest;

class ConfirmInventoryTransferDocumentRequest extends FormRequest
{
    public function authorize(): bool
    {
        /** @var InventoryTransferDocument $document */
        $document = $this->route('inventory_transfer_document');

        return $this->user()->can('confirm', $document);
    }

    /**
     * @return array<string, array<int, mixed>>
     */
    public function rules(): array
    {
        return [];
    }
}
